Bug 1001136 - SELinux is preventing /usr/bin/df from search access on the directory fs.
SELinux is preventing /usr/bin/df from search access on the directory fs.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 10:39 EDT by Egon Kastelijn
Modified: 2013-09-11 21:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 21:53:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Egon Kastelijn 2013-08-26 10:39:06 EDT
Description of problem:
SELinux is preventing /usr/bin/df from search access on the directory fs.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that df should be allowed search access on the fs directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep df /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:rabbitmq_beam_t:s0
Target Context                system_u:object_r:sysctl_fs_t:s0
Target Objects                fs [ dir ]
Source                        df
Source Path                   /usr/bin/df
Port                          <Unknown>
Host                          celcius
Source RPM Packages           coreutils-8.21-11.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     celcius
Platform                      Linux celcius 3.9.9-302.fc19.x86_64 #1 SMP Sat Jul
                              6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   1163
First Seen                    2013-07-10 06:35:51 CEST
Last Seen                     2013-08-26 15:59:18 CEST
Local ID                      8eee1da8-ca3a-46e1-89a2-efd583a4b46e

Raw Audit Messages
type=AVC msg=audit(1377525558.568:3773): avc:  denied  { search } for  pid=16298 comm="df" name="fs" dev="proc" ino=10504 scontext=system_u:system_r:rabbitmq_beam_t:s0 tcontext=system_u:object_r:sysctl_fs_t:s0 tclass=dir


type=SYSCALL msg=audit(1377525558.568:3773): arch=x86_64 syscall=statfs success=no exit=EACCES a0=1ced480 a1=7fff38559eb0 a2=7fff3855a250 a3=0 items=0 ppid=16297 pid=16298 auid=4294967295 uid=988 gid=980 euid=988 suid=988 fsuid=988 egid=980 sgid=980 fsgid=980 ses=4294967295 tty=(none) comm=df exe=/usr/bin/df subj=system_u:system_r:rabbitmq_beam_t:s0 key=(null)

Hash: df,rabbitmq_beam_t,sysctl_fs_t,dir,search


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.12.1-73.fc19.noarch
couchdb-1.2.2-3.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set selinux to enforcing
2. systemctl restart couchdb.service

Actual results:
CouchDB does not start

Expected results:
CouchDB started.


Additional info:
Comment 2 Fedora Update System 2013-09-09 03:54:50 EDT
selinux-policy-3.12.1-74.2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.2.fc19
Comment 3 Fedora Update System 2013-09-09 19:57:46 EDT
Package selinux-policy-3.12.1-74.2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16231/selinux-policy-3.12.1-74.2.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-11 21:53:59 EDT
selinux-policy-3.12.1-74.2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.